USE [CallCenter_XinXiangXLX]
GO
/****** Object:  StoredProcedure [dbo].[P_GetSeatGroup]    Script Date: 06/25/2019 10:23:10 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO


ALTER PROCEDURE [dbo].[P_GetSeatGroup] 
(
	@Caller NVARCHAR(50), --主叫号码
	@Callee NVARCHAR(50) --被叫号码
)
AS
BEGIN

	SET NOCOUNT ON;
	
	--declare @locationID int--主叫号码的归属地ID
	--declare @areacode nvarchar(50)--区号
	--declare @usercode nvarchar(50)--需要返回的坐席
	declare @groupcode nvarchar(50) --坐席组编号
	declare @zxzid int --坐席组ID
	
		--<Branch Value="101" Pos="9100" />      <!--心连心尿素-->
		--  <Branch Value="102" Pos="9101" />      <!--手拉手-->
		--  <Branch Value="102" Pos="9102" />      <!--沃利沃-->
		--  <Branch Value="103" Pos="9300" />      <!--新疆-->
		--  <Branch Value="104" Pos="9200" />      <!--九江-->
	--根据被叫号码获取对应坐席组
	if @Callee='9100'
	begin
		set @groupcode='XLXKFZ'--心连心客服组
	end
	else if @Callee='9101'
	begin
		set @groupcode='NXKFZ'--农心客服组-手拉手
	end
	else if @Callee='9102'
	begin
		set @groupcode='NXKFZ' --农心客服组-沃利沃
	end
	else if @Callee='9300'
	begin
		set @groupcode='XJKFZ' --新疆心连心客服组
	end
	else if @Callee='9200'
	begin
		set @groupcode='JJKFZ'--九江心连心客服组
	end
	else
	begin
		set @groupcode='XLXKFZ'--默认心连心
	end
	
	select F_ZXZID from T_Sys_SeatGroup where F_ZXZCode=@groupcode	
END
